SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   IBM WebSphere Vendors:   IBM
(IBM Issues Fix for IBM WebSphere Application Server) IBM Security Network Protection GSKit Flaws Let Local Users Obtain Passwords and Other Sensitive Information and Deny Service
SecurityTracker Alert ID:  1041803
SecurityTracker URL:  http://securitytracker.com/id/1041803
CVE Reference:   CVE-2018-1426, CVE-2018-1427, CVE-2018-1447   (Links to External Site)
Date:  Oct 4 2018
Impact:   Denial of service via local system, Disclosure of authentication information, Disclosure of system information, Disclosure of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 8.0, 8.5, 9.0
Description:   Multiple vulnerabilities were reported in IBM Security Network Protection. A local user can cause denial of service conditions on the target system. A local user can obtain passwords on the target system. A local user can obtain potentially sensitive information on the target system. IBM WebSphere Application Server is affected.

The IBM GSKit component uses weaker than expected cryptographic algorithms [CVE-2018-1428]. A local user may be able to decrypt sensitive information on the target system.

A local user can set specially crafted environment variable values to trigger a buffer overflow in the IBM GSkit component and cause denial of service conditions on the target system [CVE-2018-1427].

The IBM GSKit component duplicates the PRNG state across fork() system calls when multiple ICC instances are loaded [CVE-2018-1426]. As a result, the system may create duplicate Session IDs or key material.

The GSKit CMS KDB logic does not salt the hash function [CVE-2018-1447]. As a result, passwords may not be sufficiently protected. A local user may be able to recover weak passwords.

Impact:   A local user can cause denial of service conditions on the target system.

A local user can obtain passwords on the target system.

A local user can obtain potentially sensitive information on the target system.

Solution:   IBM has issued a fix for CVE-2018-1426, CVE-2018-1427, and CVE-2018-1447 for IBM WebSphere Application Server.

The IBM advisory is available at:

https://www-01.ibm.com/support/docview.wss?uid=ibm10732391

Vendor URL:  www-01.ibm.com/support/docview.wss?uid=ibm10732391 (Links to External Site)
Cause:   Access control error, Boundary error, Randomization error
Underlying OS:  Linux (Any), UNIX (AIX), UNIX (HP/UX), UNIX (Solaris - SunOS), Windows (Any), z/OS

Message History:   This archive entry is a follow-up to the message listed below.
May 31 2018 IBM Security Network Protection GSKit Flaws Let Local Users Obtain Passwords and Other Sensitive Information and Deny Service



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC